﻿<UserControl
  xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
  xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
  xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
  xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
  xmlns:ei="http://schemas.microsoft.com/expression/2010/interactions"
  xmlns:System="clr-namespace:System;assembly=mscorlib"
  mc:Ignorable="d"
  xmlns:SchemaEditor="clr-namespace:SchemaEditor"         
  x:Class="SchemaEditor.Controls.MenuControl"
  d:DesignWidth="40" d:DesignHeight="640" Height="Auto">
  <UserControl.Resources>
    <Style x:Key="ButtonStyle1" TargetType="Button">
      <Setter Property="Background" Value="#FF1F3B53"/>
      <Setter Property="Foreground" Value="#FF000000"/>
      <Setter Property="Padding" Value="3"/>
      <Setter Property="BorderThickness" Value="1"/>
      <Setter Property="BorderBrush">
        <Setter.Value>
          <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
            <GradientStop Color="#FFA3AEB9" Offset="0"/>
            <GradientStop Color="#FF8399A9" Offset="0.375"/>
            <GradientStop Color="#FF718597" Offset="0.375"/>
            <GradientStop Color="#FF617584" Offset="1"/>
          </LinearGradientBrush>
        </Setter.Value>
      </Setter>
      <Setter Property="Template">
        <Setter.Value>
          <ControlTemplate TargetType="Button">
            <Grid>
              <VisualStateManager.VisualStateGroups>
                <VisualStateGroup x:Name="CommonStates">
                  <VisualState x:Name="Normal">
                		<Storyboard>
                  		<ColorAnimation Duration="0" To="#FFE4E4E4" Storyboard.TargetProperty="(Shape.Fill).(GradientBrush.GradientStops)[0].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient" d:IsOptimized="True"/>
                  	</Storyboard>
                	</VisualState>
                  <VisualState x:Name="MouseOver">
                    <Storyboard>
                  		<DoubleAnimation Duration="0" To="1" Storyboard.TargetProperty="Opacity" Storyboard.TargetName="BackgroundAnimation"/>
                  		<ColorAnimation Duration="0" To="#CC8CCAC6" Storyboard.TargetProperty="(Shape.Fill).(GradientBrush.GradientStops)[1].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient"/>
                  		<ColorAnimation Duration="0" To="#7F369992" Storyboard.TargetProperty="(Shape.Fill).(GradientBrush.GradientStops)[2].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient"/>
                  		<ColorAnimation Duration="0" To="#FFE4E4E4" Storyboard.TargetProperty="(Shape.Fill).(GradientBrush.GradientStops)[0].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient" d:IsOptimized="True"/>
                  	</Storyboard>
                  </VisualState>
                  <VisualState x:Name="Pressed">
                    <Storyboard>
                      <ColorAnimation Duration="0" To="#FF6E6E6E" Storyboard.TargetProperty="(Border.Background).(SolidColorBrush.Color)" Storyboard.TargetName="Background"/>
                      <DoubleAnimation Duration="0" To="1" Storyboard.TargetProperty="Opacity" Storyboard.TargetName="BackgroundAnimation"/>
                      <ColorAnimation Duration="0" To="#FFDBA570" Storyboard.TargetProperty="(Rectangle.Fill).(GradientBrush.GradientStops)[0].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient"/>
                      <ColorAnimation Duration="0" To="#FFF6993F" Storyboard.TargetProperty="(Shape.Fill).(GradientBrush.GradientStops)[1].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient"/>
                      <ColorAnimation Duration="0" To="#FFFC9736" Storyboard.TargetProperty="(Shape.Fill).(GradientBrush.GradientStops)[2].(GradientStop.Color)" Storyboard.TargetName="BackgroundGradient"/>
                    </Storyboard>
                  </VisualState>
                  <VisualState x:Name="Disabled">
                    <Storyboard>
                      <DoubleAnimation Duration="0" To=".55" Storyboard.TargetProperty="Opacity" Storyboard.TargetName="DisabledVisualElement"/>
                    </Storyboard>
                  </VisualState>
                </VisualStateGroup>
                <VisualStateGroup x:Name="FocusStates">
                  <VisualState x:Name="Focused">
                    <Storyboard>
                      <DoubleAnimation Duration="0" To="1" Storyboard.TargetProperty="Opacity" Storyboard.TargetName="FocusVisualElement"/>
                    </Storyboard>
                  </VisualState>
                  <VisualState x:Name="Unfocused"/>
                </VisualStateGroup>
              </VisualStateManager.VisualStateGroups>
              <Border x:Name="Background" BorderThickness="{TemplateBinding BorderThickness}" Background="#FF5E5E5E" CornerRadius="3">
                <Grid Background="{TemplateBinding Background}" Margin="1">
                  <Border x:Name="BackgroundAnimation" Background="#FF448DCA" Opacity="0"/>
                  <Rectangle x:Name="Glossy" Margin="0,0,0,5">
                    <Rectangle.Fill>
                      <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
                        <GradientStop Color="#7FFFFFFF"/>
                        <GradientStop Offset="1"/>
                        <GradientStop Color="#4CFFFFFF" Offset="0.075"/>
                        <GradientStop Color="#19FFFFFF" Offset="0.188"/>
                      </LinearGradientBrush>
                    </Rectangle.Fill>
                  </Rectangle>
                  <Rectangle x:Name="BackgroundGradient">
                    <Rectangle.Fill>
                      <LinearGradientBrush EndPoint=".7,1" StartPoint=".7,0">
                        <GradientStop Color="#FFF1F1F1" Offset="0"/>
                        <GradientStop Color="#CCFFFFFF" Offset="0.834"/>
                        <GradientStop Color="#7FFFFFFF" Offset="1"/>
                      </LinearGradientBrush>
                    </Rectangle.Fill>
                  </Rectangle>
                </Grid>
              </Border>
              <ContentPresenter x:Name="contentPresenter" ContentTemplate="{TemplateBinding ContentTemplate}" Content="{TemplateBinding Content}" HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}" Margin="{TemplateBinding Padding}" VerticalAlignment="{TemplateBinding VerticalContentAlignment}"/>
              <Rectangle x:Name="DisabledVisualElement" IsHitTestVisible="false" Opacity="0" RadiusY="3" RadiusX="3" Fill="White"/>
              <Rectangle x:Name="FocusVisualElement" IsHitTestVisible="false" Margin="1" Opacity="0" RadiusY="2" RadiusX="2" Stroke="#FF6DBDD1" StrokeThickness="1"/>
            </Grid>
          </ControlTemplate>
        </Setter.Value>
      </Setter>
    </Style>
  </UserControl.Resources>
  <Grid x:Name="LayoutRoot">
    <Grid.RowDefinitions>
		<RowDefinition></RowDefinition>
		<RowDefinition Height="296"></RowDefinition>
    </Grid.RowDefinitions>
    <StackPanel>
      <Button x:Name="buttonSave" Width="40" Margin="0,0,0,0" IsEnabled="True" Style="{StaticResource ButtonStyle1}">
        <Image Height="32" Source="/PhylumSilverlightClassLibrary;component/Assets/icons/32x32/disk.png" Stretch="Fill" Width="32"/>
      </Button>
      <Button x:Name="buttonSystemFieldEdit" Width="40" Margin="0,0,0,0" IsEnabled="True" Style="{StaticResource ButtonStyle1}">
       <Image Height="32" Source="/PhylumSilverlightClassLibrary;component/Assets/icons/32x32/systemField.png" Stretch="Fill" Width="32"/>
    </Button>
    <StackPanel x:Name="toolContainer" Margin="0,0,0,0"/>
      <Border x:Name="contextualBarHolder" Margin="0,0,0,0" Padding="0" >
        <Border.Background>
          <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
            <GradientStop Color="#FFC6A484" Offset="0"/>
            <GradientStop Color="#FF493019" Offset="1"/>
          </LinearGradientBrush>
        </Border.Background>
        <StackPanel x:Name="contextualBarContainer" Margin="-10,0,-8,0"/>
      </Border>
      <Border x:Name="toolOptionsHolder" Margin="0,0,0,0" Padding="0" >
        <Border.Background>
          <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
            <GradientStop Color="#FFC6A484" Offset="0"/>
            <GradientStop Color="#FF493019" Offset="1"/>
          </LinearGradientBrush>
        </Border.Background>
        <StackPanel x:Name="toolOptionsContainer" Margin="-10,0,-8,0"/>
      </Border>
    </StackPanel>
    
  </Grid>
</UserControl>